.tilebutton{height: 34px;}
.tilebutton button.pull-right{ margin-left: 10px;}

.innerform{
  margin-right: 8px;
  margin-left: 8px;
  margin-top: 8px;
}

.formborder{
  background-color: white;
  margin: 7px;
  border-radius: 4px;
  box-shadow: 0 1px 3px rgba(0,0,0,0.5);
}

.formheader{
  height: 35px;
  width: 100%;
  border-top-left-radius: 4px;
  border-top-right-radius: 4px;
  // border-bottom: 1px solid $layoutcolor1;
  // background-color: $lightgrey2;
}

.formnr{
  line-height: 35px;
  color: white;
  text-align: center;
  float: left;
  background-color: $layoutcolor1;
  // border: 1px solid $layoutcolor1;
  font-weight: bold;
  font-size: 20px;
  height: 35px;
  width: 40px;
  border-top-left-radius: 4px;
  border-bottom-right-radius: 4px;
}

.formicon{
  line-height: 35px;
  color: white;
  text-align: center;
  float: left;
  background-color: $layoutcolor1;
  // border: 1px solid $layoutcolor1;
  font-weight: bold;
  font-size: 20px;
  height: 35px;
  width: 40px;
  border-top-left-radius: 4px;
  border-bottom-right-radius: 4px;
}

.formicon .glyphicon{line-height: 32px;}

.formtitle{
  float: left;
  height: 35px;
  margin-left: 15px;
  font-size: 18px;
  line-height: 35px;
}

.morecontent{overflow: hidden;}

.morecontent .morebutton{
  display: inline;
  background-color: $lightgrey2;
  float: right;
  padding: 3px 10px;
  border-top-left-radius: 4px;
  border-bottom-right-radius: 4px;
  cursor: pointer;
  font-size: 12px;
  font-weight: bold;
}

.morecontent .morebutton:hover{
  background-color: $layoutcolor1;
  color: white;
}

.morebody{
  margin-top: 10px;
  margin-bottom: 10px;
}



.formcontent{ padding: 15px;}
.formcontent.more{
  padding-bottom: 3px;
}

.form-horizontal .formcontent .form-group,
.form-horizontal .form-group{
  margin-left: 0px;
  margin-right: 0px;
}

.form-horizontal .formcontent .form-group label,
.form-horizontal .form-group label{
  padding-right: 15px;
}

// Fix for rounded corners in input-groups with buttons
.form-control{
  border-bottom-left-radius: 4px !important;
  border-top-left-radius: 4px !important;
}

.requiredicon[class*="glyphicon-"]{color: $brand-danger; font-size: 8px;}
.infoicon[class*="glyphicon-"]{color: $brand-primary; font-size: 15px;}
.btn-trigger .btn.active{background-color: $brand-primary; color: white;}

// Bootstrap Direction Arrow Buttons
// ---------------------------------
.btn-left{
  border-top-left-radius: 0;
  border-bottom-left-radius: 0;
}

.btn-left.btn-primary::before {
  border-right: 10px solid #248aaf;
}

.btn-left::before {
  content: " ";
  line-height: 0;
  position: absolute;
  top: 0;
  left: -26px;
  border: 16px solid transparent;
  border-right: 10px solid #fafafa;
}

.btn-right{
  border-top-right-radius: 0;
  border-bottom-right-radius: 0;
}

.btn-right.btn-primary:before {
  border-left: 10px solid #248aaf;
}
.btn-right:before {
  content: " ";
  line-height: 0;
  position: absolute;
  top: 0;
  right: -26px;
  border: 16px solid transparent;
  border-left: 10px solid #fafafa;
}

.btn-direction {
  position: relative;
  border: 0;
  line-height: 20px;
}

input.ng-invalid.ng-dirty {
  border-color: #b94a48;
  -webkit-box-shadow: inset 0 1px 1px rgba(0,0,0,0.075);
  box-shadow: inset 0 1px 1px rgba(0,0,0,0.075);
}
// ---------------------------------

// Special Mergeinput Fields
// ---------------------------------
.mergeinput-left{
  display: block !important;
  float: left;
  width: 48% !important;
  height: 100%;

  border-right: 1px solid black;

  font: normal 14px/20px "Helvetica Neue",Arial,sans-serif;
  font-family: 'Helvetica Neue', Arial, sans-serif;
  font-size: 14px;
  font-style: normal;
  font-variant: normal;
  font-weight: normal;
  line-height: 20px;
}

.mergeinput-left:hover{
  background-color: $lightgrey;
}

.mergeinput-right{
  display: block !important;
  float: right;
  width: 48% !important;
  height: 100%;
}

.discounttag{
  font-weight: bold;
  color: red;
}

.timepickerrow{
  display: table-row;
}

.timepickerinput{
  width: 70px;
  display: table-cell;
}

.timepickerdeliver{
  display: table-cell;
  padding-left: 3px;
  padding-right: 3px;
}

.counttile .formcontent{
  padding: 0;
  text-align: center;
}


.counttile .footer{
  color: white;
  height: 25px;
  padding-bottom: 3px;
  padding-top: 3px;
  border-bottom-left-radius: 4px;
  border-bottom-right-radius: 4px;
}

.counttile .countnr{
  padding-top: 5px;
  padding-bottom: 5px;
  height: 50px;
  line-height: 40px;
  font-size: 40px;
  font-weight: bold;
}

.tilewithfilterlist .formcontent{padding: 0;}
.tilewithfilterlist .formicon{ border-bottom-right-radius: 0;}
.tilewithfilterlist .formnr{ border-bottom-right-radius: 0;}

.filterlist{
  overflow-y: scroll;
  height: 500px;
}

.filterlist ul{padding: 0; list-style: none; margin-bottom: 0;}

.filterlist ul li a{
  display: block;
  text-decoration: none;
  color: black;
  padding: 10px;
  border-bottom: 1px solid $lightgrey2;
}

.filterlist .grey{color: $grey4;}
.filterlist.autoheight{
  height: auto;
  max-height: 350px;
}

.filterlist .listitem{overflow: hidden;}
.filterlist .listitem:hover{background-color: $lightgrey2;}

.filterlist .listitem .textblock{
  padding: 10px;
  border-bottom: 1px solid $lightgrey2;
}

.listitem .noentries{
  padding: 10px;
  background-color: $lightgrey2;
}

.customtile .formcontent{padding: 0;}
.customtile .customformcontent{padding: 15px;}
.customtile .customfields{
  float: right;
  height: 100%;
}

.inlinefields select, .inlinefields input {
  display: inline-block;
}

.input-tooltip{
  min-width: 100px !important;
  max-width: 220px !important;
  word-break: normal;
  //z-index: 1051 !important; // modal fix
}

.badge.badge-primary{background-color: #337AB7;}
.badge.badge-success{background-color: #5CB85C;}
.badge.badge-info{background-color: #5BC0DE;}
.badge.badge-warning{background-color: #F0AD4E;}
.badge.badge-danger{background-color: #D9534F;}


.formfilter{
  background-color: $layoutcolor1;
  color: #fff;
  padding: 10px;
}

.filterTile .formnr{ border-bottom-right-radius: 0;}
.filterTile .formcontent{padding: 0; padding-bottom: 4px;}


.modal-header.withnr{
  padding: 0;
  height: 35px;
  overflow: hidden;
  border-bottom: 0;
}

.modal-header.withnr .close{
  margin-top: 8px;
  margin-right: 8px;
}

.modal-header.withnr .modal-number{
  line-height: 35px;
  color: white;
  text-align: center;
  float: left;
  background-color: #157EC4;
  font-weight: bold;
  font-size: 20px;
  height: 35px;
  width: 40px;
  border-top-left-radius: 4px;
  border-bottom-right-radius: 4px;
}

.modal-header.withnr .modal-title{
  float: left;
  height: 35px;
  margin-left: 15px;
  font-size: 18px;
  line-height: 35px;
}

// Dropdown-Styling Inline-table Files
.dropdown.icon .dropdown-toggle{
  cursor: pointer;
}


.aptile.tile-fullheight .formcontent .container-full{height: calc(100vh - 170px);}
.aptileclear.tile-fullheight .formcontent .container-full{height: calc(100vh - 135px);}

.aptile.nopadding .formcontent{padding: 0;}
.aptileclear.nopadding .formcontent{padding: 0;}

.aptile.tile-fullheight.nopadding .formcontent .container-full{height: calc(100vh - 140px);}
.aptileclear.tile-fullheight.nopadding .formcontent .container-full{height: calc(100vh - 105px);}

.hidescroll-container{
  overflow: hidden !important;
  position: relative;
}

.hidescroll-content{
  position: absolute !important;
  top: 0px !important;
  bottom: 0px !important;
  left: 0px !important;
  right: 0px; /* exact value is given through JavaScript */
  overflow: auto !important;
}
